Bug 7880 - rpcclient deldriver does not remove drivers from all architectures.
rpcclient deldriver does not remove drivers from all architectures.
Status: RESOLVED FIXED
Product: Samba 3.5
Classification: Unclassified
Component: Printing
3.5.6
x64 Linux
: P3 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-22 08:45 UTC by Björn Baumbach
Modified: 2011-01-15 10:26 UTC (History)
0 users

See Also:


Attachments
patch (1.12 KB, patch)
2010-12-22 08:56 UTC, Björn Baumbach
no flags Details
bug fix (1.55 KB, patch)
2011-01-13 03:04 UTC, Björn Baumbach
metze: review+
gd: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Björn Baumbach 2010-12-22 08:45:54 UTC
cmd_spoolss_deletedriver() returned without checking all architectures, because NT_STATUS_IS_OK is not ok, it's a WERR_UNKNOWN_PRINTER_DRIVER
Comment 1 Björn Baumbach 2010-12-22 08:56:51 UTC
Created attachment 6161 [details]
patch
Comment 2 Björn Baumbach 2011-01-12 10:39:17 UTC
Please ignore patch (id=6161). New patch coming soon.
Comment 3 Björn Baumbach 2011-01-13 03:04:53 UTC
Created attachment 6200 [details]
bug fix
Comment 4 Stefan Metzmacher 2011-01-13 03:34:39 UTC
Comment on attachment 6200 [details]
bug fix

Looks good
Comment 5 Guenther Deschner 2011-01-14 08:17:19 UTC
Comment on attachment 6200 [details]
bug fix

looks good
Comment 6 Guenther Deschner 2011-01-14 08:17:50 UTC
Karolin, please add to 3.4 and 3.5
Comment 7 Karolin Seeger 2011-01-15 10:26:25 UTC
(In reply to comment #6)
> Karolin, please add to 3.4 and 3.5
> 

Pushed to both branches.
Closing out bug report.

Thanks!